import { FtPaginatedToc, FtPaginationConfiguration } from "@fluid-topics/public-api";
import { FtPagesTocNode, FtReaderPage, FtReaderTocNode } from "../model";
export type EnrichedToc = {
    paginationConfiguration: FtPaginationConfiguration;
    toc: Array<FtReaderTocNode>;
    pagesToc: Array<FtPagesTocNode>;
    nodeByTocId: Record<string, FtReaderTocNode>;
    nodeByUrl: Record<string, FtReaderTocNode>;
    duplicatedPrettyUrls: Set<string>;
    pages: Array<FtReaderPage>;
    pageByTocId: Record<string, FtReaderPage>;
};
export declare class FtReaderConverter {
    convertPaginatedToc(mapId: string, paginatedToc: FtPaginatedToc): EnrichedToc;
}
