import type { FtReaderStateManager as FtReaderStateManagerInternal } from "./store/FtReaderStateManager";
import { Constructor, FtLitElementRedux } from "@fluid-topics/ft-wc-utils";
import type { FtReaderService } from "./store/utils/FtReaderService";
export * from "./store/model";
export type FtReaderStateManager = FtReaderStateManagerInternal;
export declare class RegisterReaderComponentEvent extends Event {
    constructor();
}
export type FtReaderComponentInterface = {
    stateManager?: FtReaderStateManager;
    service: FtReaderService | undefined;
    setReaderStateManager(stateManager: FtReaderStateManager): void;
};
export type FtReaderComponentType<T extends Constructor<FtLitElementRedux>> = T & Constructor<FtReaderComponentInterface>;
export declare function toFtReaderComponent<T extends Constructor<FtLitElementRedux>>(ReduxClass: T): FtReaderComponentType<T>;
declare const FtReaderComponent_base: FtReaderComponentType<typeof FtLitElementRedux>;
export declare class FtReaderComponent extends FtReaderComponent_base {
}
